hpct-node-setup(1)

NAME
hpct-node-setup - HiPerConTracer Node

SYNOPSIS
hpct-node-setup USER@COLLECTOR NODE_ID [-h | - -help] [-v | - -verbose] [-q | - -quiet]

DESCRIPTION
hpct-node-setup is the HiPerConTracer node setup script. It is run on a node, in order to:

1. Create an SSH key pair (for public/private key-based authentication to collector);

2. Upload the public key to the collector;

3. Configure SSH public/private key-based authentication on the collector (for SSH node->collector; Note: this configures password-less login to the node user node<NODE_ID> on the collector!);

4. Update known_hosts on the collector with node's server key (for SSH collector->node via Reverse Tunnel; Note: this direction is *not* configured, for security!).

5. Update /etc/hipercontracer/hpct-sync.conf with the given ID and collector.

ARGUMENTS
The following arguments must be provided:

USER@COLLECTOR
    Sets the SSH location of the collector, i.e. USER@HOST.EXAMPLE.

NODE_ID
    Sets the node ID, a number from 1 to 9999.

-h | - -help
    Prints command help.

-q -|--quiet
    Turns off status output.

-v -|--verbose
    Turns on status output.

EXAMPLES

sudo hpct-node-setup nornetpp@hpct-collector.example 1

sudo hpct-node-setup nornetpp@hpct-collector.example 1000

sudo hpct-node-setup nornetpp@hpct-collector.example 2000 --verbose

sudo hpct-node-setup nornetpp@hpct-collector.example 2001 -v

AUTHORS
Thomas Dreibholz
https://www.simula.no/people/dreibh
mailto://dreibh@simula.no